# Generated from segmentor-0.0.2.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name segmentor

Name: rubygem-%{gem_name}
Version: 0.0.2.3
Release: 1%{?dist}
Summary: Segmentor creates slices from your data that can be used for notifications
License: Apache-2.0
URL: https://github.com/cloud66-oss/segmentor
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.0.0
# BuildRequires: rubygem(bootsnap) >= 1.9
# BuildRequires: rubygem(bootsnap) < 2
# BuildRequires: rubygem(factory_bot) >= 6.2
# BuildRequires: rubygem(factory_bot) < 7
# BuildRequires: rubygem(generator_spec) >= 0.9
# BuildRequires: rubygem(generator_spec) < 1
# BuildRequires: rubygem(parser) = 3.0.0.0
# BuildRequires: rubygem(pry) >= 0.13.1
# BuildRequires: rubygem(pry) < 0.14
# BuildRequires: rubygem(rails) >= 6.1
# BuildRequires: rubygem(rails) < 7
# BuildRequires: rubygem(rspec) >= 3.10
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-rails) >= 5.0
# BuildRequires: rubygem(rspec-rails) < 6
# BuildRequires: rubygem(rubocop) >= 1.4
# BuildRequires: rubygem(rubocop) < 2
# BuildRequires: rubygem(rubocop-performance) >= 1.9
# BuildRequires: rubygem(rubocop-performance) < 2
# BuildRequires: rubygem(rufo) >= 0.12
# BuildRequires: rubygem(rufo) < 1
# BuildRequires: rubygem(sqlite3) >= 1.4
# BuildRequires: rubygem(sqlite3) < 2
BuildArch: noarch

%description
Segmentor creates slices from your data that can be used for notifications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/config.ru
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/segmentor.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.2.3-1
- Initial package
